import { Metadata } from "next";
import "./globals.css";
import Title from "@/components/Title";
import Navbar from "@/components/Navbar";
import { bodyFont } from "@/components/fonts";

export const metadata: Metadata = {
  title: "nrx.sh",
  description: "naresh's site",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body>
        <div
          style={{
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            flexDirection: "column",
          }}
        >
          <Title />

          <Navbar />
          <div
            className={bodyFont.className}
            style={{
              backgroundColor: "#1D1D1D",
              marginTop: "2rem",
              width: "600px",
              maxWidth: "100vw",
              padding: "2rem",
              boxSizing: "border-box",
              fontSize: "1.1rem",
            }}
          >
            {children}
          </div>
        </div>
      </body>
    </html>
  );
}
